#include <ShiftLCD.h>
#include <Streaming.h>

//! AlphaLCD class instance for display hardware control
int dataPin = 2;   // pin 14 on the 74hc595
int clockPin = 3;  // pin 11 on the 74hc595
int latchPin = 4;   // pin  12 on the 74hc595

ShiftLCD lcd(dataPin, clockPin, latchPin);

// Your setup initialization here
void setup()
{

  // Initializes the LCD library (characters x rows)
  lcd.begin(20, 2);

  welcome();

}

// Your Arduino application here
void loop(void)
{

//  welcome();
//  
//  delay(500);
}


// -------- LCD Control functions

/**
 * \brief Welcome message shown at device power-on
 */
void welcome() {

  lcd.setCursor(0, 0);
  lcd << "BalearicDynamics";
//  lcd.setCursor(1, 0);
//  lcd << "4 INSTRUCTABLES";
  delay(5000);
  lcd.clear();
}

/**
 * \brief Display a string on the LCD at the cursor position
 *
 * \param m the message string
 */
void message(String m) {
  lcd.print(m);
}

/**
 * \brief Display an integer value in decimal format at the cursor position
 *
 * \param n the integer to show in decimal format
 */
void dec(int n) {
  lcd.print(n, DEC);
}

/**
 * \brief Display an integer value in hex format at the cursor position
 *
 * \param n the integer to show in hexadecimal format
 */
void hex(int n) {
  lcd.print("0x");
  lcd.print(n, HEX);
}

/**
 * \brief Display a string on the LCD at the specified cursor coordinates
 *
 * \param m the string message
 * \param x the cursor column zero based
 * \param y the row number zero based
 */
void message(String m, int x, int y) {
  lcd.setCursor(x, y);
  message(m);
}

